# Templates

{% hint style="info" %}
Ensure that your templates meet Facebook's strict [Message Template Guidelines](https://developers.facebook.com/docs/whatsapp/message-templates/guidelines).&#x20;
{% endhint %}

## **Get template list**

You can use the WhatsApp Business Management API to get a list of your existing message templates.

## Get WhatsApp Templates

<mark style="color:blue;">`GET`</mark> `https://api.whatso.net/v1/message_templates`

#### Query Parameters

| Name                                                              | Type   | Description                         |
| ----------------------------------------------------------------- | ------ | ----------------------------------- |
| email<mark style="color:red;">\*</mark>                           | string | **y**our email                      |
| phone\_number\_id<mark style="color:red;">\*</mark>               | string | your face-book phone number id      |
| whatsapp\_business\_account\_id<mark style="color:red;">\*</mark> | string | your face-book  business account id |
| access\_token<mark style="color:red;">\*</mark>                   | string | your face-book access token         |

{% tabs %}
{% tab title="200: OK " %}

```javascript
{
  "data": [
    {
      "name": "template_name",
      "components": [
        {
          "type": "BODY",
          "text": "Message Text",
          "example": {
            "body_text": [
              [
                "example parameter value"
              ]
            ]
          }
        }
      ],
      "language": "en_US",
      "status": "APPROVED",
      "category": "ALERT_UPDATE",
      "id": "5038022xxxxxxx"
    }
  ],
  "paging": {
    "cursors": {
      "before": "MAZDZD",
      "after": "MjQZD"
    },
    "next": "https://graph.facebook.com/v14.0/"
  }
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.whatso.net/welcome-to-our-whatsonxt-documentation/templates.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
